=== hbt/CMakeLists.txt ===
# Copyright (c) Meta Platforms, Inc. and affiliates.
cmake_minimum_required(VERSION 3.16)

add_subdirectory(src)
