=== dynolog/src/ipcfabric/CMakeLists.txt ===
# Copyright (c) Meta Platforms, Inc. and affiliates.

add_library (dynolog_ipcfabric_lib INTERFACE)
